Freeciv-3.2: /fast/freeciv/nightly/S3_2/client/cityrepdata.h File Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Data Structures | Macros | Functions | Variables
cityrepdata.h File Reference
`#include "fc_types.h"`
`#include "support.h"`

Go to the source code of this file.

## Data Structures

struct | city_report_spec

## Macros

#define | NUM_CREPORT_COLS (num_city_report_spec())

## Functions

int | num_city_report_spec (void)
bool * | city_report_spec_show_ptr (int i)
const char * | city_report_spec_tagname (int i)
void | init_city_report_game_data (void)
int | cityrepfield_compare (const char *field1, const char *field2)
bool | can_city_sell_universal (const struct city *pcity, const struct universal *target)

## Variables

struct city_report_spec * | city_report_specs

## Macro Definition Documentation

## ◆ NUM_CREPORT_COLS

#define NUM_CREPORT_COLS (num_city_report_spec())

Definition at line 25 of file cityrepdata.h.

## Function Documentation

## ◆ can_city_sell_universal()

bool can_city_sell_universal | ( | const struct city * | pcity,
|  | const struct universal * | target
| ) |  |

Same as can_city_sell_building(), but with universal argument.

Definition at line 1150 of file cityrepdata.c.

Referenced by city_widget::display_list_menu(), recreate_sell_menu(), and recreate_sell_menu().

## ◆ city_report_spec_show_ptr()

bool * city_report_spec_show_ptr | ( | int | i | ) |

Simple wrapper for city_report_specs.show

Definition at line 858 of file cityrepdata.c.

Referenced by options_dialogs_set(), and options_dialogs_update().

## ◆ city_report_spec_tagname()

const char * city_report_spec_tagname | ( | int | i | ) |

Simple wrapper for city_report_specs.tagname

Definition at line 866 of file cityrepdata.c.

Referenced by options_dialogs_set(), and options_dialogs_update().

## ◆ cityrepfield_compare()

int cityrepfield_compare | ( | const char * | str1,
|  | const char * | str2
| ) |  |

The real function: split the two strings, and compare them.

Definition at line 1123 of file cityrepdata.c.

Referenced by cityrep_sort_func(), and city_sort_model::lessThan().

## ◆ init_city_report_game_data()

void init_city_report_game_data | ( | void |  | ) |

Initialize city report data. This deals with ruleset-dependent columns and pre-translates the fields (to make things easier on the GUI writers). Should be called before the GUI starts up.

Definition at line 876 of file cityrepdata.c.

Referenced by set_client_state().

## ◆ num_city_report_spec()

int num_city_report_spec | ( | void |  | ) |

Simple wrapper for num_creport_cols()

Definition at line 850 of file cityrepdata.c.

Referenced by options_dialogs_set(), and options_dialogs_update().

## Variable Documentation

## ◆ city_report_specs

struct city_report_spec* city_report_specs

extern

Definition at line 844 of file cityrepdata.c.

Referenced by city_model_set(), city_report_spec_show_ptr(), city_report_spec_tagname(), create_city_report_dialog(), create_display_menu(), create_display_menu_item(), city_item::data(), city_widget::display_header_menu(), get_city_table_header(), city_model::headerData(), city_model::hide_data(), init_city_report_game_data(), city_model::menu_data(), city_item_delegate::paint(), toggle_view(), and update_view_menu().